# IllumSettings Struct Reference
[Data Structures]

Inheritance diagram for IllumSettings:

List of all members.

## Public Member Functions
| IllumSettings ()
## Public Attributes
boolean | fShadowsOn
boolean | fReflectionOn
| True if shadows should be calculated.
boolean | fTransparencyOn
| True if reflection should be calculated.
boolean | fLightThroughTransp
| True if transparency should be calculated.
boolean | fBumpOn
| True if light should be go through transparent objects (for shadowing).
boolean | fRefractionOn
| True if bump mapping should be calculated.
boolean | fRadiosityOn
| True if refraction should be calculated.
boolean | fCausticsOn
| True if indirect lighting should be calculated.
boolean | fUsePhotonMap
| True if caustics should be calculated.
boolean | fUseGammaCorrection
| use photon map directly for indirect lighting
boolean | fUseSkyLight
| on/off gamma correction
boolean | fUseDoubleBounce
| use the sky as a light source
boolean | fUseIrradianceCaching
| use double bounce for indirect lighting
boolean | fComputeSeparatedShadow
| enable irradiance caching
real | fGamma
| compute the shadow as separated (used for compositing)
int32 | fMaxRayDepth
| value of gamma
EGlobalIlluminationType | fGlobalIlluminationType
| maximum ray depth for reflections and transparency
int32 | fIndirectLightingQuality
| type of global illumination (Ambient occlusion or Indirect Light)
real | fIndirectLightingIntensity
| for sampling of indirect lighting 0-3 (3 is best)
real | fSkyLightIntensity
| intensity of indirect lighting
real | fCausticIntensity
| intensity of the sky light
real | fInterpolationQuality
| intensity of caustics
real | fAmbientRadius
| quality of interpolation [0,1], 1 for maximum quality

## Detailed Description

Defines the illumination settings for the current rendering.

## Constructor & Destructor Documentation

IllumSettings::IllumSettings | ( |  | ) |

## Member Data Documentation

real IllumSettings::fAmbientRadius

quality of interpolation [0,1], 1 for maximum quality

boolean IllumSettings::fBumpOn

True if light should be go through transparent objects (for shadowing).

real IllumSettings::fCausticIntensity

intensity of the sky light

boolean IllumSettings::fCausticsOn

True if indirect lighting should be calculated.

boolean IllumSettings::fComputeSeparatedShadow

enable irradiance caching

real IllumSettings::fGamma

compute the shadow as separated (used for compositing)

EGlobalIlluminationType IllumSettings::fGlobalIlluminationType

maximum ray depth for reflections and transparency

real IllumSettings::fIndirectLightingIntensity

for sampling of indirect lighting 0-3 (3 is best)

int32 IllumSettings::fIndirectLightingQuality

type of global illumination (Ambient occlusion or Indirect Light)

real IllumSettings::fInterpolationQuality

intensity of caustics

boolean IllumSettings::fLightThroughTransp

True if transparency should be calculated.

int32 IllumSettings::fMaxRayDepth

value of gamma

boolean IllumSettings::fRadiosityOn

True if refraction should be calculated.

boolean IllumSettings::fReflectionOn

True if shadows should be calculated.

boolean IllumSettings::fRefractionOn

True if bump mapping should be calculated.

boolean IllumSettings::fShadowsOn

real IllumSettings::fSkyLightIntensity

intensity of indirect lighting

boolean IllumSettings::fTransparencyOn

True if reflection should be calculated.

boolean IllumSettings::fUseDoubleBounce

use the sky as a light source

boolean IllumSettings::fUseGammaCorrection

use photon map directly for indirect lighting

boolean IllumSettings::fUseIrradianceCaching

use double bounce for indirect lighting

boolean IllumSettings::fUsePhotonMap

True if caustics should be calculated.

boolean IllumSettings::fUseSkyLight

on/off gamma correction

The documentation for this struct was generated from the following file:

- RenderTypes.h